[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: dpkg-buildpackage

2009/4/22 Francesco P. Lovergine <frankie@debian.org>
On Tue, Apr 21, 2009 at 10:18:59AM +0200, cassiel wrote:
> Hi you all,
> don't know if this could be regarded as off topic, however it involves
> debian package building system.
> I am trying to build gdal libraries with ECW support (
> http://trac.osgeo.org/gdal/wiki/ECW) because this compression format is not
> enabled in the standard package.
> I downloaded ECW SDK source from http://ermapper.com/, did configure && make
> && make install and then apt-source in order to get debian sources of
> libgdal.
> I then edited the debian/rules file in order to add ecw support and started
> building with dpkg-builpackage -uc but the whole process stops with this
> error:
> dh_shlibdeps -L libgdal1-1.4.0 -l debian/libgdal1-1.4.0/usr/lib
> dpkg-shlibdeps: failure: no dependency information found for
> /usr/local/lib/libNCSUtil.so.0 (used by
> debian/libgdal1-1.4.0/usr/lib/libgdal1.4.0.so.1.11.4).
> dh_shlibdeps: command returned error code 512
> make[1]: *** [binary-common] Error 1
> make[1]: Leaving directory `/home/morelli/gdal-1.4.4'
> make: *** [binary-arch] Error 2
> dpkg-buildpackage: failure: debian/rules binary gave error exit status 2
> libNCSUtil.so.0 is part of libecw and lives in /usr/local/
> I tried using the -d flag with dpkg-buildpackage but with no success.
> Any ideas?
> How can I override this check and/or debug?
> Regards
> -r

Have a look onto the debian-gis svn repository where some gdal-ecw stuff
resides. Ecw support can be done using by plugin support.

Francesco P. Lovergine

Just did it on another machine with libgdal1-1.5, but I need this support for libgdal1-1.4* on another one.
Does gdal-ecw plugin works for previous gdal releases?

I must say that running the standard configure && make works but I would prefer not to do a make install against debian packages.


Reply to: